Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi.extension
Interface RwiPropertyProvider

All Known Implementing Classes:
  RwiPropertyProviderAdapter

public interface RwiPropertyProvider

Presents provider that suited to work with certain property. It should be used whenever it is neccessary to produce some calculation in set/get/has/can methods in opposite to simple retrieve realized in RwiPropertyMap. In order to use this provider it has to be registered through the RwiExtensionManager. Some methods gets context element to produce additional calculations. This element has to implement `RwiPropertyMap` interface.

Author:
  TogetherSoft
See Also: RwiPropertyMap

Method Summary
`RwiProperty` | `addProperty(RwiPropertyMap element, String propertyValue)` Specific method for this property.
`boolean` | `canAddProperty(RwiPropertyMap element, String propertyValue)` Specific method for this property.
`boolean` | `canSetProperty(RwiPropertyMap element, String propertyValue)` Specific method for this property.
`boolean` | `canSetProperty(RwiPropertyMap element, boolean propertyValue)` Specific method for this property.
`RwiElementEnumeration` | `dependencies(RwiPropertyMap element)`
`String` | `getProperty(RwiPropertyMap element)` Specific method for this property.
`String` | `getPropertyName()` Return property name which this provider is responsible for.
`boolean` | `hasProperty(RwiPropertyMap element)` Specific method for this property.
`boolean` | `isApplicable(RwiPropertyMap element)` Checks does this property applicapable for specified element.
`boolean` | `isPropertyReadable(RwiPropertyMap element)` Specific method for this property.
`boolean` | `isPropertyWritable(RwiPropertyMap element)` Specific method for this property.
`RwiPropertyEnumeration` | `properties(RwiPropertyMap element)` Specific method for this property.
`void` | `setProperty(RwiPropertyMap element, String propertyValue)` Specific method for this property.
`void` | `setProperty(RwiPropertyMap element, boolean propertyValue)` Specific method for this property.

Method Detail

### addProperty

    public RwiProperty addProperty(RwiPropertyMap element, String propertyValue)

  Specific method for this property. See `RwiPropertyMap.addProperty`.

### canAddProperty

    public boolean canAddProperty(RwiPropertyMap element, String propertyValue)

  Specific method for this property. See `RwiPropertyMap.canAddProperty`.

### canSetProperty

    public boolean canSetProperty(RwiPropertyMap element, String propertyValue)

  Specific method for this property. See `RwiPropertyMap.canSetProperty`.

### canSetProperty

    public boolean canSetProperty(RwiPropertyMap element, boolean propertyValue)

  Specific method for this property. See `RwiPropertyMap.canSetProperty`.

### dependencies

    public RwiElementEnumeration dependencies(RwiPropertyMap element)

### getProperty

    public String getProperty(RwiPropertyMap element)

  Specific method for this property. See `RwiPropertyMap.getProperty`.

### getPropertyName

    public String getPropertyName()

  Return property name which this provider is responsible for.

### hasProperty

    public boolean hasProperty(RwiPropertyMap element)

  Specific method for this property. See `RwiPropertyMap.hasProperty`.

### isApplicable

    public boolean isApplicable(RwiPropertyMap element)

  Checks does this property applicapable for specified element.
  Parameters:
    element - Has to implement RwiPropertyMap interface.

### isPropertyReadable

    public boolean isPropertyReadable(RwiPropertyMap element)

  Specific method for this property. See `RwiPropertyMap.isPropertyReadable`.

### isPropertyWritable

    public boolean isPropertyWritable(RwiPropertyMap element)

  Specific method for this property. See `RwiPropertyMap.isPropertyWritable`.

### properties

    public RwiPropertyEnumeration properties(RwiPropertyMap element)

  Specific method for this property. See `RwiPropertyMap.properties`.

### setProperty

    public void setProperty(RwiPropertyMap element, String propertyValue)

  Specific method for this property. See `RwiPropertyMap.setProperty`.

### setProperty

    public void setProperty(RwiPropertyMap element, boolean propertyValue)

  Specific method for this property. See `RwiPropertyMap.setProperty`.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD